Class | OpenSSL::X509::Extension
In: | openssl/lib/openssl/x509.rb
Parent: | Object

### Methods

to_a to_h to_s

### Public Instance methods

to_a()

[Source]

    # File openssl/lib/openssl/x509.rb, line 59
          def to_a
            [ self.oid, self.value, self.critical? ]
          end

to_h(

[Source]

    # File openssl/lib/openssl/x509.rb, line 55
          def to_h # {"oid"=>sn|ln, "value"=>value, "critical"=>true|false}
            {"oid"=>self.oid,"value"=>self.value,"critical"=>self.critical?}
          end

to_s(

[Source]

    # File openssl/lib/openssl/x509.rb, line 48
          def to_s # "oid = critical, value"
            str = self.oid
            str << " = "
            str << "critical, " if self.critical?
            str << self.value.gsub(/\n/, ", ")
          end

[Validate]